/*
Theme Name: Sexy
Theme URI: 
Author: 
Author URI: 
Description: 
Requires at least: 6.0
Tested up to: 6.4.3
Requires PHP: 5.7
Version: 0.0.1
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Template: twentytwentyfour
Text Domain: sexy
Tags: 
*/

/* General */
img{
    max-width: 100%;
    height: auto;
}

.wp-block-shp-icon-icon br{
    display: none;
}

/* Header */
header.wp-block-template-part{
    position: absolute;
    width: 100%;
    z-index: 999;
}

header.wp-block-template-part .wc-block-mini-cart{
    display: none;
}

/* Footer */
footer.wp-block-template-part{
    margin-top: 0;
}

@media screen and (max-width: 767px){
    footer.wp-block-template-part .footer-contact-infos{
        flex-wrap: wrap;
        flex-flow: column;
        align-items: flex-start;
        margin-top: 1rem;
    }

    footer.wp-block-template-part .footer-contact-infos .wp-block-group{
        margin-bottom: 1rem;
    }

    footer.wp-block-template-part .footer-contact-infos .wp-block-group:last-of-type{
        margin-bottom: 0;
    }
}

/* Main */
.wp-site-blocks > main,
.wp-site-blocks > .woocommerce{
    margin-top: 0;
}

/* Woocommerce */
.wp-block-woocommerce-customer-account a{
    text-transform: uppercase;
    font-weight: 500;
}

.wp-element-button, .wp-block-button__link{
    display: inline-flex;
    gap: 5px;
    justify-content: center;
    align-items: center;
}

body .is-layout-flex.inline-flex{
    display: inline-flex;
}

.woocommerce .wp-block-woocommerce-product-image-gallery{
    max-width: 832px;
}

.wp-block-post-terms.is-style-pill a{
    background-color: #FBEDF0;
}

.wp-block-post-terms.is-style-pill a:hover{
    text-decoration: none;
}

.fixed-product-buy{
    top: 1rem
}

.wc-block-product-gallery-large-image .wc-block-product-gallery-large-image__wrapper{
    aspect-ratio: 1/.6;
    width: 100%;
}

.wc-block-product-gallery:not([data-next-previous-buttons-position="outsideTheImage"]:not(.is-single-product-gallery-image)) .wc-block-product-gallery-large-image .wc-block-product-gallery-large-image__image-element{
    padding: 0;
    width: 100%;
}

.wc-block-product-gallery-large-image img{
    aspect-ratio: initial;
    width: 100%;
}

.product-links .wp-block-button .wp-block-button__link{
    text-transform: none;
    background-color: #F2F2F2;
    background: #F2F2F2;
    color: #6A6A6A;
    font-weight: normal;
}

.wc-block-add-to-cart-form .input-text,
.woocommerce form .form-row input.input-text, 
.woocommerce form .form-row textarea{
    border-radius: 100px;
    border: 1px solid #f2f2f2;
    padding: .7rem 1.1rem;
}

.woocommerce form .form-row label{
    margin-bottom: 0;
}

.woocommerce div.product form.cart .button,
.woocommerce-button{
    background: linear-gradient(135deg,rgb(255,110,64) 0%,rgb(209,13,201) 100%);
    border-radius: 100px;
    text-transform: uppercase;
}

.product-details-menu{
    border-bottom: 1px solid #E8E8E8;
}

.product-details-menu.wp-block-navigation{
    margin-bottom: -2px;
}

.product-details-menu.wp-block-navigation .wp-block-navigation-item__content.wp-block-navigation-item__content{
    padding: 1rem .5rem;
    border-bottom: 1px solid transparent;
}

.product-details-menu.wp-block-navigation .wp-block-navigation-item__content.wp-block-navigation-item__content:hover{
    text-decoration: none;
    border-bottom: 1px solid #F22963;
    color: #F22963;
}

.product-details-menu.wp-block-navigation .wp-block-navigation__container .wp-block-navigation-item:first-of-type .wp-block-navigation-item__content.wp-block-navigation-item__content{
    border-bottom: 1px solid #F22963;
    color: #F22963;
}

.woocommerce-account .wp-block-post-title, .woocommerce-account main .woocommerce, .woocommerce-cart .wp-block-post-title, .woocommerce-cart main .woocommerce, .woocommerce-checkout .wp-block-post-title, .woocommerce-checkout main .woocommerce{
    max-width: 100%;
}

#produtos-inclusos .woo-product-gallery-slider{
    display: none !important;
}

.taxonomy-tipo-de-pacote a,
.taxonomy-tipo-de-pacote a:hover{
    pointer-events: none;
    cursor: default; /* Opcional: muda o cursor para o padrão para indicar que não é clicável */
    color: inherit; /* Opcional: mantém a cor do texto inalterada */
    text-decoration: none; /* Opcional: remove sublinhado */
}

.product-cover-image img{
    height: 120px;
    object-fit: cover;
    border-radius: 10px;
}

.section-testimonial{
    background-position: 50% 110px !important;
}

.author-profile-photo{
    border-radius: 50%;
}

@media screen and (max-width: 767px){
    nav.product-details-menu.wp-block-navigation{
        overflow-x: auto;
        overflow-y: hidden;
        margin-top: 60px;
    }

    .product-details-menu.wp-block-navigation .wp-block-navigation__container{
        white-space: nowrap;
        display: block;
    }

    .product-details-menu.wp-block-navigation .wp-block-navigation__container .wp-block-navigation-item{
        display: inline-block;
        margin-right: 1rem;
    }

    .product-details-menu.wp-block-navigation .wp-block-navigation__container .wp-block-navigation-item:last-child{
        margin-right: 0;
    }
}

/* Slick Carousel */
.slick-arrow{
    position: absolute;
    bottom: -50px;
    border: 0;
    padding: 0;
    width: 40px;
    height: 40px;
    border-radius: 50%;
    background: linear-gradient(135deg,rgb(255,110,64) 0%,rgb(209,13,201) 100%);
    text-align: center;
    line-height: 50px;
    cursor: pointer;
}

.slick-arrow span{
    font-size: 0;
}

.slick-arrow svg{
    width: 20px;
}

.slick-prev{
    right: 50px;
}

.slick-next{
    right: 0;
}

video{ width: 100%; height: 100%; max-width: 100%; }
.wp-video{width: 100% !important;}

.custom-product-gallery .product-gallery-item:not(.slick-current){
    opacity: 0;
}